#include "stdafx.h"
#include "startx.h"
#include "ParametersPromptDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

CParametersPromptDlg::CParametersPromptDlg(CWnd* pParent)	: CDialog(CParametersPromptDlg::IDD, pParent)
{
}

void CParametersPromptDlg::DoDataExchange(CDataExchange* pDX)
{
  //Let the base class do its thing
  __super::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CParametersPromptDlg, CDialog)
  ON_BN_CLICKED(IDC_MYHELP, &CParametersPromptDlg::OnMyHelp)
END_MESSAGE_MAP()

void CParametersPromptDlg::OnMyHelp() 
{
  //Form the name of the html file we will be showing for help
  TCHAR szFilename[_MAX_PATH];
  szFilename[0] = _T('\0');
  if (!GetModuleFileName(NULL, szFilename, _MAX_PATH))
    return;
  TCHAR szDrive[_MAX_DRIVE];
  szDrive[0] = _T('\0');
  TCHAR szDir[_MAX_DIR];
  szDir[0] = _T('\0');
  TCHAR szFname[_MAX_FNAME];
  szFname[0] = _T('\0');
  _tsplitpath_s(szFilename, szDrive, sizeof(szDrive)/sizeof(TCHAR), szDir, sizeof(szDir)/sizeof(TCHAR), szFname, sizeof(szFname)/sizeof(TCHAR), NULL, 0);
  _tmakepath_s(szFilename, sizeof(szFilename)/sizeof(TCHAR), szDrive, szDir, szFname, _T("HTM"));

  //Show the html file
  HINSTANCE hRun = ShellExecute(AfxGetMainWnd()->m_hWnd, _T("open"), szFilename, NULL, NULL, SW_SHOW);
  if (reinterpret_cast<INT_PTR>(hRun) <= 32)
    AfxMessageBox(IDP_FAIL_RUN_HELP, MB_OK | MB_ICONEXCLAMATION);
}
